package com.cool.store.request;

import com.aliyun.openservices.shade.org.apache.commons.lang3.StringUtils;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Objects;

/**
 * @Author: WangShuo
 * @Date: 2025/07/23/18:40
 * @Version 1.0
 * @注释:
 */
@Data
public class ConfirmQuotationRequest {
    private String hqtShopId;
    private String quotationSheetId;
    @ApiModelProperty("0:拒绝，1:通过")
    private Integer status;

    public Boolean check(){
        if (StringUtils.isAnyBlank(hqtShopId,quotationSheetId)){
            return  false;
        }
        if (Objects.isNull(status)){
            return  false;
        }
        return  true;
    }
}
